## Name

xpsimplehelloworld — "Hello World"-like Xprint sample utility based on plain X11 rendering calls

## Synopsis

`xpsimplehelloworld` [`-printer `printernname``] [`-v`] [`-h`]

## DESCRIPTION

xpsimplehelloworld is a sample utility for Xprint, the printing system for the X Window system. It demonstrates how to send a test page to the specified printer (or the default printer, if none is specified) using plain X11 rendering instructions and without using special toolkit support (like one of the special Xt print shell widget classes (such as XmPrintShell(3x) or XawPrintShell(3x))).

## OPTIONS

`-printer `printernname``

  printer to use

`-v`

  verbose output

`-h`

  print usage

## ENVIRONMENT

`XPSERVERLIST`

  `${XPSERVERLIST}` must be set, identifying the available Xprint servers. See Xprint(7) for more details.

## KNOWN BUGS

A full list of bugs can be obtained from the Xprint.org bug database (http://xprint.mozdev.org/xprint_bugs.html).

## SEE ALSO

Xprint(7), X11(7), xplsprinters(1x), xphelloworld(1x), xpxmhelloworld(1x), xpawhelloworld(1x), xpxthelloworld(1x), Xserver(1x), Xprt(1x), libXp(3x), libXprintUtils(3x), libXprintAppUtils(3x), XmPrintShell(3x), XawPrintShell(3x), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)